<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Dokumentacja przestrzeni nazw PzG</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d2/d4b/namespace_pz_g.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#enum-members">Wyliczenia</a> &#124;
<a href="#func-members">Funkcje</a> &#124;
<a href="#var-members">Zmienne</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja przestrzeni nazw PzG</div>  </div>
</div><!--header-->
<div class="contents">

<p>Moduł narzędzi umożliwiających połącznie z GNUPlotem.  
<a href="../../d2/d4b/namespace_pz_g.html#details">Więcej...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d97/class_pz_g_1_1_file_info.html">FileInfo</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zestaw informacji dotyczący pliku i sposobu rysowania.  <a href="../../d4/d97/class_pz_g_1_1_file_info.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html">GnuplotLink</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Klasa realizuje interfejs do programu GNUPlot.  <a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Wyliczenia</h2></td></tr>
<tr class="memitem:a4360c76a1dbf714a19a0d97fe56e0660"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660">DrawingMode</a> { <a class="el" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660ac85b6f8146edb5ca2df8345dd86ef039">DM_2D</a>, 
<a class="el" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660aa7ef207217913b87d83fdf559d8368c7">DM_3D</a>
 }</td></tr>
<tr class="memdesc:a4360c76a1dbf714a19a0d97fe56e0660"><td class="mdescLeft">&#160;</td><td class="mdescRight">Określa tryb rysowania realizowanego przez program <code>gnuplot</code>.  <a href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660">Więcej...</a><br /></td></tr>
<tr class="separator:a4360c76a1dbf714a19a0d97fe56e0660"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0580cdb6bfe9e51d7de2588bc824076"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">LineStyle</a> { <a class="el" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076af8f97c84dadf8eaa1f0370861e15dfec">LS_CONTINUOUS</a>, 
<a class="el" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076a6495216b6a84a9fbe7141a687f9c03f1">LS_SCATTERED</a>
 }</td></tr>
<tr class="memdesc:ab0580cdb6bfe9e51d7de2588bc824076"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sposób rysowania linii.  <a href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">Więcej...</a><br /></td></tr>
<tr class="separator:ab0580cdb6bfe9e51d7de2588bc824076"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:a64a72627607d0c3f47a61d19744eebef"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d4b/namespace_pz_g.html#a64a72627607d0c3f47a61d19744eebef">FileExists</a> (char const *filename)</td></tr>
<tr class="separator:a64a72627607d0c3f47a61d19744eebef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Zmienne</h2></td></tr>
<tr class="memitem:a6d8d7783183a08d769e3c695cd35587f"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d4b/namespace_pz_g.html#a6d8d7783183a08d769e3c695cd35587f">LINE_LENGTH</a> = 120</td></tr>
<tr class="separator:a6d8d7783183a08d769e3c695cd35587f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Niniejsza przestrzeń nazw stanowi moduł logiczny zawierający narzędzia umożliwiające realizację połączenia z programem <code>gnuplot</code>. </p>
</div><h2 class="groupheader">Dokumentacja typów wyliczanych</h2>
<a id="a4360c76a1dbf714a19a0d97fe56e0660"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4360c76a1dbf714a19a0d97fe56e0660">&#9670;&nbsp;</a></span>DrawingMode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660">PzG::DrawingMode</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Typ wyliczeniowy określające dopuszczalne tryby rysowania realizowanego przez program <code>gnuplot</code>. Wybór trybu wiąże się ze zmianą sposobu interpretacji danych zawartych pliku. Jeśli np. wybrany zostanie tryb 2D, to zakłada się, że w każdej linii pliku z danymi znajdują się wartości współrzędnych <em>x</em>, <em>y</em>. Wartości typu: </p><ul>
<li><code>DM_2D</code> - rysowanie w trybie 2D, co sprowadza się do rysowania wykresów funkcji jednej zmiennej. </li>
<li><code>DM_3D</code> - rysowanie w trybie 3D. Oznacza to możliwość rysowania wykresów funkcji dwóch zmiennych. </li>
</ul>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="a4360c76a1dbf714a19a0d97fe56e0660ac85b6f8146edb5ca2df8345dd86ef039"></a>DM_2D&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a4360c76a1dbf714a19a0d97fe56e0660aa7ef207217913b87d83fdf559d8368c7"></a>DM_3D&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="../../d8/d35/gnuplot__link_8hh_source.html#l00041">41</a> pliku <a class="el" href="../../d8/d35/gnuplot__link_8hh_source.html">gnuplot_link.hh</a>.</p>

</div>
</div>
<a id="ab0580cdb6bfe9e51d7de2588bc824076"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0580cdb6bfe9e51d7de2588bc824076">&#9670;&nbsp;</a></span>LineStyle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">PzG::LineStyle</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Określa sposób rysowania linii. </p>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="ab0580cdb6bfe9e51d7de2588bc824076af8f97c84dadf8eaa1f0370861e15dfec"></a>LS_CONTINUOUS&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ab0580cdb6bfe9e51d7de2588bc824076a6495216b6a84a9fbe7141a687f9c03f1"></a>LS_SCATTERED&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="../../d8/d35/gnuplot__link_8hh_source.html#l00048">48</a> pliku <a class="el" href="../../d8/d35/gnuplot__link_8hh_source.html">gnuplot_link.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="a64a72627607d0c3f47a61d19744eebef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64a72627607d0c3f47a61d19744eebef">&#9670;&nbsp;</a></span>FileExists()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool PzG::FileExists </td>
          <td>(</td>
          <td class="paramtype">char const *&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../d3/d54/gnuplot__link_8cpp_source.html#l00061">61</a> pliku <a class="el" href="../../d3/d54/gnuplot__link_8cpp_source.html">gnuplot_link.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/d4b/namespace_pz_g_a64a72627607d0c3f47a61d19744eebef_icgraph.png" border="0" usemap="#d2/d4b/namespace_pz_g_a64a72627607d0c3f47a61d19744eebef_icgraph" alt=""/></div>
<map name="d2/d4b/namespace_pz_g_a64a72627607d0c3f47a61d19744eebef_icgraph" id="d2/d4b/namespace_pz_g_a64a72627607d0c3f47a61d19744eebef_icgraph">
<area shape="rect" title=" " alt="" coords="280,5,397,32"/>
<area shape="rect" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a795ee974694d79694496e09d668eb562" title="Dodaje nazwę pliku." alt="" coords="5,5,232,32"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja zmiennych</h2>
<a id="a6d8d7783183a08d769e3c695cd35587f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d8d7783183a08d769e3c695cd35587f">&#9670;&nbsp;</a></span>LINE_LENGTH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int PzG::LINE_LENGTH = 120</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../d3/d54/gnuplot__link_8cpp_source.html#l00111">111</a> pliku <a class="el" href="../../d3/d54/gnuplot__link_8cpp_source.html">gnuplot_link.cpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d4b/namespace_pz_g.html">PzG</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
